# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /opt/concourse/worker/volumes/live/4bc3a643-30b5-4d0d-5ecd-04c737564a67/volume/combined_recipe, last modified Sat Feb 27 09:24:01 2021
# ------------------------------------------------

package:
  name: scikit-learn
  version: 0.24.1
source:
  sha256: a663dbe0feb04bd9949da315a3abc9ddf5ce84d4e07d16c5b96e0947ee56a4eb
  url: https://github.com/scikit-learn/scikit-learn/archive/0.24.1.tar.gz
build:
  number: '0'
  script: python -m pip install --no-deps --ignore-installed .  --verbose
  string: py39hb2f4e1b_0
requirements:
  build:
    - cctools 927.0.2 h5ba7a2e_4
    - clang 10.0.0 default_hf57f61e_0
    - clang_osx-64 10.0.0 h05bbb7f_1
    - clangxx 10.0.0 default_hf57f61e_0
    - clangxx_osx-64 10.0.0 h05bbb7f_1
    - compiler-rt 10.0.0 h47ead80_0
    - compiler-rt_osx-64 10.0.0 hbcc88fd_0
    - ld64 450.3 h3c32e8a_4
    - libcxx 10.0.0 1
    - libllvm10 10.0.0 h21ff451_2
    - llvm-openmp 10.0.0 h28b9765_0
    - llvm-tools 10.0.0 h21ff451_2
    - tapi 1000.10.8 ha1b3eb9_0
  host:
    - blas 1.0 mkl
    - ca-certificates 2021.1.19 hecd8cb5_0
    - certifi 2020.12.5 py39hecd8cb5_0
    - cython 0.29.22 py39h23ab428_0
    - intel-openmp 2019.4 233
    - joblib 1.0.1 pyhd3eb1b0_0
    - libcxx 10.0.0 1
    - libedit 3.1.20191231 h1de35cc_1
    - libffi 3.3 hb1e8313_2
    - libgfortran 3.0.1 h93005f0_2
    - llvm-openmp 10.0.0 h28b9765_0
    - mkl 2019.4 233
    - mkl-service 2.3.0 py39h9ed2024_0
    - mkl_fft 1.3.0 py39ha059aab_0
    - mkl_random 1.0.2 py39h16bde0e_0
    - ncurses 6.2 h0a44026_1
    - numpy 1.16.6 py39hf7e0657_1
    - numpy-base 1.16.6 py39h7ca7dfd_1
    - openssl 1.1.1j h9ed2024_0
    - pip 21.0.1 py39hecd8cb5_0
    - python 3.9.1 h88f2d9e_2
    - readline 8.1 h9ed2024_0
    - scipy 1.6.1 py39h2515648_0
    - setuptools 52.0.0 py39hecd8cb5_0
    - six 1.15.0 py39hecd8cb5_0
    - sqlite 3.33.0 hffcf06c_0
    - threadpoolctl 2.1.0 pyh5ca1d4c_0
    - tk 8.6.10 hb0a8c7a_0
    - tzdata 2020f h52ac0ba_0
    - wheel 0.36.2 pyhd3eb1b0_0
    - xz 5.2.5 h1de35cc_0
    - zlib 1.2.11 h1de35cc_3
  run:
    - joblib >=0.11
    - libcxx >=10.0.0
    - llvm-openmp >=10.0.0
    - numpy >=1.16.6,<2.0a0
    - python >=3.9,<3.10.0a0
    - scipy
    - threadpoolctl
test:
  commands:
    - export OPENBLAS_NUM_THREADS=1
    - export OMP_NUM_THREADS=1
    - pytest --timeout 300 -n 1 --verbose --pyargs sklearn -k "not (_not_a_real_test
      or network or test_california_housing)"
  imports:
    - sklearn
  requires:
    - cython >=0.28.5
    - pytest >=3.3.0
    - pytest-timeout
    - pytest-xdist
about:
  home: http://scikit-learn.org/
  license: BSD-3-Clause
  license_file: COPYING
  summary: A set of python modules for machine learning and data mining
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - adrinjalali
    - amueller
    - astaric
    - jakirkham
    - jnothman
    - lesteve
    - msarahan
    - ocefpaf
    - ogrisel
    - rth
